Authentication: Authentication by IP

auth_ip
Maintained by Picture of Jordi Pujol-AhullóJordi Pujol-Ahulló, Picture of Robert BolocRobert Boloc, Picture of Daniel Tome FernandezDaniel Tome Fernandez, Picture of Cristian MartinezCristian Martinez
This authentication plugin helps to manage manual accounts being accessed only by the list of restricted IPs.

Authentication by IP 1.3 (Build: 2017020800)

Release notes

Authentication plugin restricted by IP

This authentication plugin helps to manage manual accounts being accessed only by the list of restricted IPs.

New feature: Version 1.3 has a new feature to take the IP behing load balancers and proxies.

Installation

Install it as usual:

  • Download it (via zip or git) into MOODLE/auth/ip
  • Log in into Moodle
  • Go to "Notifications"
  • Set up the list of IPs enabled to access to your Moodle.
  • Save changes.
  • Go to Administration->Plugins->Authentication->Manage plugins
  • Enable plugin "Authentication by IP".

Usage

Setting this authentication type to a user:

  • Go to a user profile.
  • Set the authentication type "Authentication by IP"

Updating the list of restricted IPs:

  • Go to Administration->Plugins->Authentication->Manage plugins
  • Update the list of IPs

NOTE: After updating the list of IPs, an email will be sent to the administrator email, just for security.

License

It is released as GPL v3.

Authors:

  • Robert Boloc
  • Jordi Pujol-Ahulló

Copyright 2013 onwards Servei de Recursos Educatius (http://www.sre.urv.cat)

Moodle 2.4, 2.5, 2.6, 2.7, 2.8, 2.9, 3.0, 3.1, 3.2

Version information

Version build number
2017020800
Version release name
1.3 (Build: 2017020800)
Can be updated to
1.4 (Build: 2018053000) (2018053000)
Maturity
Stable version
MD5 Sum
f74cc46279b183cb2e3e0db77eb1297f
Supported software
Moodle 2.4, Moodle 2.5, Moodle 2.6, Moodle 2.7, Moodle 2.8, Moodle 2.9, Moodle 3.0, Moodle 3.1, Moodle 3.2
  • This is the latest release for Moodle 2.4
  • This is the latest release for Moodle 2.5
  • This is the latest release for Moodle 2.6
  • This is the latest release for Moodle 2.7
  • This is the latest release for Moodle 2.8
  • This is the latest release for Moodle 2.9
  • This is the latest release for Moodle 3.0
  • This is the latest release for Moodle 3.1
  • This is the latest release for Moodle 3.2

Version control information

Version control system (VCS)
GIT
VCS repository URL
VCS branch
MOODLE_32_STABLE

Default installation instructions for plugins of the type Authentication

  1. Make sure you have all the required versions.
  2. Download and unpack the module.
  3. Place the folder (eg "myauth") in the "auth" subdirectory.
  4. Visit http://yoursite.com/admin to finish the installation